try {
  $processor = Get-WmiObject Win32_Processor
  $is64bit = $processor.AddressWidth -eq 64
  if ($is64bit) {
    $unpath = "${Env:ProgramFiles(x86)}\KC Softwares\SUMo\unins000.exe"
  } else {
    $unpath = "${Env:ProgramFiles}\KC Softwares\SUMo\unins000.exe"
  }
  Uninstall-ChocolateyPackage 'sumo' 'EXE' '/VERYSILENT /SUPPRESSMSGBOXES /NORESTART /SP-' "$unpath" -validExitCodes @(0)
  
  # the following is all part of error handling
  Write-ChocolateySuccess 'sumo'
} catch {
  Write-ChocolateyFailure 'sumo' "$($_.Exception.Message)"
  throw 
}
